Class AhcEndpointBuilderFactory.AhcHeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.AhcEndpointBuilderFactory.AhcHeaderNameBuilder
-
- Enclosing interface:
- AhcEndpointBuilderFactory
public static class AhcEndpointBuilderFactory.AhcHeaderNameBuilder extends Object
The builder of headers' name for the Async HTTP Client (AHC) component.
-
-
Constructor Summary
Constructors Constructor Description AhcHeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description StringcontentEncoding()The HTTP content encoding.StringcontentLength()The content length of the response.StringcontentType()The HTTP content type.StringhttpBaseUri()The base of the path to append to the URI.StringhttpMethod()The http method to execute.StringhttpPath()Request URI's path, the header will be used to build the request URI with the HTTP_URI.StringhttpQuery()Camel 2.11 onwards: URI parameters.StringhttpResponseCode()The HTTP response code from the external server.StringhttpResponseText()The Http response status text.StringhttpUri()URI to call.Stringlocation()The redirect location.
-
-
-
Method Detail
-
httpResponseCode
public String httpResponseCode()
The HTTP response code from the external server. Is 200 for OK. The option is a:inttype. Group: producer- Returns:
- the name of the header
HttpResponseCode.
-
httpResponseText
public String httpResponseText()
The Http response status text. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
HttpResponseText.
-
contentLength
public String contentLength()
The content length of the response. The option is a:inttype. Group: producer- Returns:
- the name of the header
Content-Length.
-
httpMethod
public String httpMethod()
The http method to execute. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
HttpMethod.
-
contentEncoding
public String contentEncoding()
The HTTP content encoding. Is set on both the IN and OUT message to provide a content encoding, such as gzip. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
Content-Encoding.
-
contentType
public String contentType()
The HTTP content type. Is set on both the IN and OUT message to provide a content type, such as text/html. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
Content-Type.
-
location
public String location()
The redirect location. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
Location.
-
httpUri
public String httpUri()
URI to call. Will override existing URI set directly on the endpoint. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
HttpUri.
-
httpPath
public String httpPath()
Request URI's path, the header will be used to build the request URI with the HTTP_URI. If the path is start with /, http producer will try to find the relative path based on the Exchange.HTTP_BASE_URI header or the exchange.getFromEndpoint().getEndpointUri(). The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
HttpPath.
-
httpBaseUri
public String httpBaseUri()
The base of the path to append to the URI. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
HttpBaseUri.
-
httpQuery
public String httpQuery()
Camel 2.11 onwards: URI parameters. Will override existing URI parameters set directly on the endpoint. The option is a:java.lang.Stringtype. Group: producer- Returns:
- the name of the header
HttpQuery.
-
-